// @ts-check
import { defineConfig } from 'astro/config';

import tailwindcss from '@tailwindcss/vite';

import starlight from '@astrojs/starlight';

// https://astro.build/config
export default defineConfig({
  vite: {
    plugins: [tailwindcss()]
  },

  experimental: {
    svg: true,
  },

  integrations: [starlight({
    title: 'Wireshark Foundation Components',
    description: 'The official Wireshark Foundation component library documentation site',
    logo: {
      src: './public/favicon.svg'
    },
    social: [
      { icon: 'gitlab', label: 'GitLab', href: 'https://gitlab.com/wireshark/web-developers/wf-component-library' },
      { icon: 'discord', label: 'Discord', href: 'https://discord.com/invite/ts9GZCjGj5' }
    ],
    customCss: ['./src/styles/global.css'],
  })]
});